Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 430430 - Stable =dev-libs/libnl-3.2.11
Summary: Stable =dev-libs/libnl-3.2.11
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 419987 435976
Blocks:
  Show dependency tree
 
Reported: 2012-08-08 10:24 UTC by Jeroen Roovers (RETIRED)
Modified: 2012-10-02 23:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2012-08-08 10:24:52 UTC
Arch teams, please test and mark stable:
=dev-libs/libnl-3.2.7
Stable KEYWORDS : alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-08 10:25:39 UTC
(In reply to comment #0)
> Arch teams, please test and mark stable:
> =dev-libs/libnl-3.2.7
> Stable KEYWORDS : alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86

Never mind that:

Arch teams, please test and mark stable:
=dev-libs/libnl-3.2.11
Stable KEYWORDS : alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86
Comment 2 Anthony Basile gentoo-dev 2012-08-08 13:51:27 UTC
cat libnl-3.2.11.ebuild | grep KEYWORDS

KEYWORDS="~amd64 ~arm ~hppa ~s390 ~sh ~x86 ~amd64-linux ~ia64-linux ~x86-linux"


No ppc ppc64.  Shall I keyword it for those arches and then we can stabilize later?
Comment 3 Anthony Basile gentoo-dev 2012-08-08 13:53:03 UTC
(In reply to comment #2)
> cat libnl-3.2.11.ebuild | grep KEYWORDS
> 
> KEYWORDS="~amd64 ~arm ~hppa ~s390 ~sh ~x86 ~amd64-linux ~ia64-linux
> ~x86-linux"
> 
> 
> No ppc ppc64.  Shall I keyword it for those arches and then we can stabilize
> later?

Ah bug #419987.
Comment 4 Anthony Basile gentoo-dev 2012-08-08 14:52:19 UTC
Rekeyworded ppc ppc64 as per bug #419987.

Stable arm.
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-08 22:51:10 UTC
Um no, the other bug is for keywording. This one is for stabilising.
Comment 6 Tomáš "tpruzina" Pružina (amd64 [ex]AT) 2012-08-09 19:06:31 UTC
amd64: fine here
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-09 23:39:26 UTC
Stable for HPPA.
Comment 8 Agostino Sarubbo gentoo-dev 2012-08-16 15:02:47 UTC
 DEPEND.bad                    10
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(hardened/linux/amd64/no-multilib/selinux) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(hardened/linux/amd64/no-multilib) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(hardened/linux/amd64/selinux) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(hardened/linux/amd64) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(default/linux/amd64/10.0/server) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(default/linux/amd64/10.0/developer) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(default/linux/amd64/10.0/desktop/kde) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(default/linux/amd64/10.0/desktop/gnome) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(default/linux/amd64/10.0/desktop) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: amd64(default/linux/amd64/10.0) ['media-gfx/mscgen']


http://blogs.gentoo.org/ago/2012/07/06/repoman-check-before-file-stable-request/
Comment 9 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-16 15:11:54 UTC
(In reply to comment #8)
> http://blogs.gentoo.org/ago/2012/07/06/repoman-check-before-file-stable-
> request/

Er, please don't throw the book at me.

Check the blocking bug instead.
Comment 10 Agostino Sarubbo gentoo-dev 2012-08-16 15:13:27 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > http://blogs.gentoo.org/ago/2012/07/06/repoman-check-before-file-stable-
> > request/
> 
> Er, please don't throw the book at me.
> 
> Check the blocking bug instead.

the blocking bug is a KEYWORDREQ, is already keyworded here ;)
Comment 11 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-16 15:15:40 UTC
(In reply to comment #10)
> (In reply to comment #9)

> the blocking bug is a KEYWORDREQ, is already keyworded here ;)

You know what to do, then. Stop spamming this useless nonsense.
Comment 12 Agostino Sarubbo gentoo-dev 2012-08-16 15:18:18 UTC
(In reply to comment #11)
> You know what to do, then. Stop spamming this useless nonsense.

I don't know, _where_ is mentioned to stabilize mscgen?
Summary? NO
Comment? NO
Bug in Depends on? NO

Please do the things in a correct mode
Comment 13 Jeroen Roovers (RETIRED) gentoo-dev 2012-08-24 16:01:41 UTC
(In reply to comment #12)

I've told you before and I will keep telling you again until you stop this nonsense: First time stabilisations do not require maintainer approval.

In this particular case, your choices (as were explained by the very simple computer program you executed) are to mask USE=doc or to stabilise mscgen. Doing the former is probably not a good idea since the people who need the API docs probably use a mainstream architecture for development. Doing the latter is free, so nothing is stopping you there.
Comment 14 mike 2012-09-25 00:24:59 UTC
x86 partial ok (repoman partial ok, compiles ok)

>>> Repoman output:

RepoMan scours the neighborhood...
  KEYWORDS.dropped              4
   dev-libs/libnl/libnl-3.2.9.ebuild: ppc64
   dev-libs/libnl/libnl-3.2.11.ebuild: alpha ia64 sparc
   dev-libs/libnl/libnl-3.2.12.ebuild: alpha ia64 sparc
   dev-libs/libnl/libnl-3.2.13.ebuild: alpha ia64 sparc
  DEPEND.badindev               27
   dev-libs/libnl/libnl-3.2.11.ebuild: ~s390(default/linux/s390/10.0/server/s390x) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~s390(default/linux/s390/10.0/server) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~s390(default/linux/s390/10.0) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~sh(default/linux/sh/10.0/server) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~sh(default/linux/sh/10.0/developer) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~sh(default/linux/sh/10.0/desktop/kde) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~sh(default/linux/sh/10.0/desktop/gnome) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~sh(default/linux/sh/10.0/desktop) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.11.ebuild: ~sh(default/linux/sh/10.0) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~s390(default/linux/s390/10.0/server/s390x) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~s390(default/linux/s390/10.0/server) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~s390(default/linux/s390/10.0) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~sh(default/linux/sh/10.0/server) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~sh(default/linux/sh/10.0/developer) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~sh(default/linux/sh/10.0/desktop/kde) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~sh(default/linux/sh/10.0/desktop/gnome) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~sh(default/linux/sh/10.0/desktop) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.12.ebuild: ~sh(default/linux/sh/10.0) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~s390(default/linux/s390/10.0/server/s390x) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~s390(default/linux/s390/10.0/server) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~s390(default/linux/s390/10.0) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~sh(default/linux/sh/10.0/server) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~sh(default/linux/sh/10.0/developer) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~sh(default/linux/sh/10.0/desktop/kde) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~sh(default/linux/sh/10.0/desktop/gnome) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~sh(default/linux/sh/10.0/desktop) ['media-gfx/mscgen']
   dev-libs/libnl/libnl-3.2.13.ebuild: ~sh(default/linux/sh/10.0) ['media-gfx/mscgen']
RepoMan sez: "You're only giving me a partial QA payment?
              I'll take it this time, but I'm not happy."
Comment 15 Jeroen Roovers (RETIRED) gentoo-dev 2012-09-25 02:39:06 UTC
(In reply to comment #14)
> x86 partial ok (repoman partial ok, compiles ok)
> 
> >>> Repoman output:

repoman output is fine if your portage tree is up to date.

> RepoMan scours the neighborhood...
>   KEYWORDS.dropped              4
>    dev-libs/libnl/libnl-3.2.9.ebuild: ppc64
>    dev-libs/libnl/libnl-3.2.11.ebuild: alpha ia64 sparc
>    dev-libs/libnl/libnl-3.2.12.ebuild: alpha ia64 sparc
>    dev-libs/libnl/libnl-3.2.13.ebuild: alpha ia64 sparc

This is bug #419987. Nothing to do with stabilisation.

>   DEPEND.badindev               27
>    dev-libs/libnl/libnl-3.2.11.ebuild:
> ~s390(default/linux/s390/10.0/server/s390x) ['media-gfx/mscgen']
> [...]

Update your portage tree.
Comment 16 Anthony Basile gentoo-dev 2012-09-29 13:40:24 UTC
stable ppc ppc64
Comment 17 Jeroen Roovers (RETIRED) gentoo-dev 2012-10-02 23:25:00 UTC
Continued in bug #437022.